package com.engine.salary.report.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.salary.report.entity.dto.SalaryStatisticsEchartsDTO;
import com.engine.salary.report.service.SalaryStatisticsEchartsService;
import com.engine.salary.report.service.impl.SalaryStatisticsEchartsServiceImpl;
import weaver.hrm.User;

/**
 * 薪酬统计图表
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public class SalaryStatisticsEchartsWrapper extends Service {

    private SalaryStatisticsEchartsService getSalaryStatisticsEchartsService(User user) {
        return ServiceUtil.getService(SalaryStatisticsEchartsServiceImpl.class, user);
    }
    /**
     * 分析图数据展示范围设置保存
     *
     * @param saveParam
     * @return
     */
    public String saveRangeSetting(SalaryStatisticsEchartsDTO saveParam) {
        return getSalaryStatisticsEchartsService(user).saveRangeSetting(saveParam);
    }

    /**
     * 分析图数据展示范围设置删除
     *
     * @param reportId
     * @return
     */
    public String deleteRangeSetting(Long reportId) {
        return getSalaryStatisticsEchartsService(user).deleteRangeSetting(reportId);
    }

    /**
     * 分析图数据展示范围设置查询
     *
     * @return
     */
    public SalaryStatisticsEchartsDTO queryRangeSetting(SalaryStatisticsEchartsDTO param) {
        return getSalaryStatisticsEchartsService(user).queryRangeSetting(param);
    }
}
